Package org.eclipse.e4.ui.model.application.ui.menu

## Interface MDirectToolItem

All Superinterfaces:
  `MApplicationElement`, `MContribution`, `MItem`, `MLocalizable`, `MToolBarElement`, `MToolItem`, `MUIElement`, `MUILabel`

    public interface MDirectToolItem
    extends MToolItem, MContribution

A representation of the model object 'Direct Tool Item'.

This is the concrete class use to represent a tool item that is directly invoked when selected. The supplied contribution is asked to execute when selected.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MContribution

`getContributionURI, getObject, setContributionURI, setObject`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MItem

`getType, isEnabled, isSelected, setEnabled, setSelected, setType`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MToolItem

`getMenu, setMenu`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`